/* replacement for inet_ntop
 * Nicolai Krakowiak <nkrakowi@engin.umich.edu>
 * $Id: inet_ntop.c,v 1.2 2001/09/16 06:41:18 beriksen Exp $
 */

#if !defined(HAVE_INET_NTOP)
#include <arpa/inet.h>
#include <sys/socket.h>

void fatal_error _P((char*));
const char *
inet_ntop( int family, const void *addr, char *str, size_t len )
{
	char *s;

	if( family != AF_INET )
		fatal_error("inet_ntop: bad family");

	s = inet_ntoa(((struct in_addr *)addr)[0]);
	strlcpy(str, s, len);

	return(str);
}
#endif
